<?php
	$pathinfo = pathinfo($_SERVER['PHP_SELF']);
	$extension = $pathinfo['extension'];
	ini_set('include_path', "../.." . PATH_SEPARATOR . get_include_path());
	include("pre.php");
	$escaparate = dame_valor_variable_global("escaparate", 0);
	
	$sentencia_sql = "SELECT COUNT( * ) FROM
		 (SELECT 'A', orden, 0,articulo.codigo FROM ((articulo LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo) LEFT JOIN familia ON articulo.familia = familia.codigo), lescaparate 
		 	WHERE (articulo.codigo = lescaparate.articulo) AND (cescaparateweb = $escaparate) AND (articulo.no_web = 0) AND (lescaparate.visible =1) AND (articulo.pendiente_envio_suscripcion = 1)
		 UNION SELECT 'B', 0, articulo.fecha_alta, articulo.codigo FROM familiasesca, ((articulo LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo) LEFT JOIN familia ON articulo.familia = familia.codigo)
		 	WHERE (familiasesca.escaparate = $escaparate) AND (articulo.familia = familiasesca.familia) AND (articulo.no_web = 0) AND (articulo.pendiente_envio_suscripcion = 1)
		 UNION SELECT 'B', 0, articulo.fecha_alta, articulo.codigo FROM temasesca, temasarti, ((`articulo` LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo) LEFT JOIN familia ON articulo.familia = familia.codigo) 
		 	WHERE (escaparate = $escaparate) AND (temasarti.tema = temasesca.tema) AND (temasarti.articulo = articulo.codigo) AND (articulo.no_web = 0) AND (articulo.pendiente_envio_suscripcion = 1)) consulta";
	
	if ($escaparate > 0){
		if ($conexionBD){
			if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
				if( $fila = mysqli_fetch_array($resultado) ){
					echo("CORRECTO " . $fila[0]);
				}else{
					echo("ERROR AL OBTENER LOS CAMPOS DE LA CONSULTA");
				}
			}else{
				echo("ERROR AL EJECUTAR LA COSULTA:<br />\n$sentencia_sql");
			}
		}	
	}else{
		echo("PAR&Aacute;METROS INCORRECTOS");
	}
?>